#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kjots
Epoch:          3
Version:        5.0.2
Release:        %mkrel %rel
Summary:        Note Taker for Plasma 5
Group:          Office/Utilities
License:        GPLv2 and LGPLv2+
Url:            https://www.kde.org/applications/utilities/kjots/
Source0:        http://download.kde.org/stable/kjots/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5Parts)
BuildRequires:  cmake(KF5Bookmarks)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5Akonadi)
BuildRequires:  cmake(KF5Mime)
BuildRequires:  cmake(KF5AkonadiNotes)
BuildRequires:  cmake(KF5PimTextEdit)
BuildRequires:  cmake(KF5KontactInterface)
BuildRequires:  cmake(Grantlee5)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KDELibs4Support)
BuildRequires:  cmake(KF5TextWidgets)

BuildRequires:  xsltproc

%description
KJots organises all of your notes into separate books.

Features :
   - Multiple books handled.
   - Each book has many named pages.
   - Books and pages can be rearranged by drag-and-drop.
   - Keyboard shortcuts are available for many functions.
   - Automatic saving means your notes are safe from loss.

%files -f %{name}.lang
%doc README
%license COPYING*
%{_kf5_bindir}/kjots
%{_qt5_plugindir}/kjotspart.so
%{_qt5_plugindir}/kcm_kjots.so
%{_qt5_plugindir}/kontact_kjotsplugin.so
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_appdatadir}/org.kde.%{name}.appdata.xml
%{_kf5_datadir}/config.kcfg/%{name}.kcfg
%{_kf5_datadir}/%{name}/
%{_kf5_datadir}/kxmlgui5/%{name}/
%{_kf5_datadir}/kontact/ksettingsdialog/%{name}.setdlg
%{_kf5_services}/%{name}_config_misc.desktop
%{_kf5_services}/%{name}part.desktop
%{_kf5_services}/kontact/kjotsplugin.desktop
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.*
%{_kf5_iconsdir}/oxygen/*/actions/edit-delete-page.*

#-------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5

%make_build

%install
%make_install -C build

%find_lang %{name}


%changelog
* Sun Dec 18 2016 daviddavid <daviddavid> 3:5.0.2-1.mga6
+ Revision: 1075892
- new version: 5.0.2
- remove merged upstream patches

* Thu Sep 22 2016 daviddavid <daviddavid> 3:5.0.1-3.mga6
+ Revision: 1055113
- backport another upstream fix thus fixing build

* Wed Sep 07 2016 neoclust <neoclust> 3:5.0.1-2.mga6
+ Revision: 1050316
- Submit to release

* Wed Aug 24 2016 daviddavid <daviddavid> 3:5.0.1-1.mga6
+ Revision: 1048522
- add an upstream patch to fix build
- imported package kjots

